### Method

# ICalGLib Component count_properties

since: 1.0

#### Declaration [src]

    gint
    i_cal_component_count_properties (
      ICalComponent* component,
      ICalPropertyKind kind
    )

#### Description [src]

Counts the number of `ICalProperty` in `ICalComponent`.

Available since: 1.0

#### Parameters

`kind`

  Type: `ICalPropertyKind`

  A `ICalPropertyKind`.

#### Return value

Type: `gint`

The number of `ICalProperty`.